%global momorel 3
Summary: EPWING CD-ROM dictionary viewer
Name: ebview
Version: 0.3.6
Release: %{momorel}m
License: GPL
Group: Applications/Text
%NoSource 0 http://telia.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 223f679a6b54bc32cb6d44f54909d049
Source1: %{name}.desktop
Source2: %{name}.png
Patch0: %{name}-0.3.2-eb4.patch
Patch1: %{name}-gtk2.4-DEPRECATED.patch
URL: http://ebview.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk+-devel
BuildPreReq: eb-devel >= 4.1.2
BuildPreReq: automake16

Summary: EBView is a program to view EPWING CD-ROM dictionary.

%description
EBView is an EPWING CD-ROM dictionary viewer. It has several search methods, handling multiple dictionaries. In addition, X selection will be automatically used as keyword. This is useful when reading foreign Web pages.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
aclocal-1.6
automake-1.6
autoconf
autoheader

%build
%configure --with-eb-conf=/etc/eb.conf
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall

# install desktop file
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/

# install icon
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/ebview
%{_datadir}/applications/ebview.desktop
%{_datadir}/locale/*/LC_MESSAGES/ebview.mo
%{_datadir}/pixmaps/ebview.png

%changelog
* Thu Jan 20 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.6-3m)
- rebuild against eb-4.1.3

* Sat Dec  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.6-2m)
- rebuild against eb-4.1.2

* Sun Oct 17 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-1m)
- update to 0.3.6
- update Patch1: ebview-gtk2.4-DEPRECATED.patch
- add desktop file

* Sat Jun 19 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.5-2m)
- rebuild against eb-4.1

* Wed Apr 21 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.5-1m)
- version up.
- applied gtk2.4-DEPRECATED.patch. The patch is temporally and tentative.

* Thu Feb 12 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.3-1m)

* Wed Jan  7 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.3.2-2m)
- revise for eb-4.0

* Mon Jan  5 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.3.2-1m)
- update to 0.3.2

* Sat Dec 20 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1

* Mon Oct 20 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.0-2m)
- rebuild against eb-4.0

* Sat Mar  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.2.0-1m)

* Sun Mar  2 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.5-7m)
- rebuild against eb-3.3.1

* Sun Aug 25 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.5-6m)
- rebuild against eb-3.3

* Mon Jul 15 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.1.5-5m)
- Require: eb >= 3.2.2-2k
- BuildPreReq: eb-devel >= 3.2.2-2k

* Tue May 21 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.1.5-4k)
- add missing files (report from zoe@kasumi.sakura.ne.jp>

* Mon May 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.1.4-2k)
- ver up.

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.1.4-4k)
- rebuild against libpng-1.2.2

* Sat Mar 16 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.1.4-2k)

* Thu Feb 14 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.1.3-2k)
